MacPortsを1.7.0にアップグレード


MacPortsが1.7にアップデートされていたので早速自分の環境をアップグレードする。手順は次の通り。

$ sudo port -d selfupdate
$ sudp port -v selfupdate
$ sudo port -d sync

gtk2がアップグレード対象になっていたのでアップグレードを試みるも、/usr/X11/lib/libXdamage.1.1.0.dylibというライブラリが存在しないというエラーでビルドが途中で終わってしまった。仕方がないのでごまかしですがバージョン違いのライブラリへのシンボリックリンクを作成し、ビルドを完了させた。

$ sudo ln -s /usr/X11/lib/libXdamage.1.0.0.dylib /usr/X11/lib/libXdamage.1.1.0.dylib

  1. No comments yet.
(will not be published)


%d人のブロガーが「いいね」をつけました。